import { useEffect, useRef } from 'react';

export const useTitle = (title?: string, replace?: boolean) => {
  const { current } = useRef<string>(document.title);

  useEffect(() => {
    document.title = title
      ? (replace ? title : `${current} ${title}`)
      : current;
  }, []);
};
